﻿<%@ Page language="c#" AutoEventWireup="false" Debug="true" Inherits="SpectralNET.DataAnalyzer" Trace="false" TraceMode="SortByTime" CodeBehind="default.aspx.cs" %>
<HTML>
	<HEAD>
		<title runat="server" id="pageTitle"></title>
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<%
Server.ScriptTimeout = 360000;
%>
		<LINK href="/Default.vsdisco" type="text/xml" rel="alternate">
		<meta content="ChemBank - Initiative for Chemical Genetics, Boston, MA" name="description">
		<meta content="chembank, chemical, genetics" name="keywords">
		<LINK href="css/chembank.css" type="text/css" rel="stylesheet">
		<!--#include virtual="js/scripts.js" -->
	</HEAD>
	<BODY bgColor="#ffffff" leftMargin="0" topMargin="0" marginheight="0" marginwidth="0">
		<form encType="multipart/form-data" runat="server" ID="Form1">
			<!-- main header STARTS-->
			<table class="header-image" cellSpacing="0" cellPadding="0" width="100%" background="images/background_02.gif"
				border="0">
				<tr>
					<td width="461"><IMG height="26" alt="" src="images/chembank_01.gif" width="461"></td>
					<td width="1"><IMG alt="" src="images/fillerlong.jpg"></A></td>
					<td align="left" width="100%" background="images/background_01.gif">&nbsp;</td>
				</tr>
				<tr>
					<td width="100%" background="images/background_02.gif" colSpan="9"><IMG height="64" alt="" src="images/chembank_10.gif" width="720" border="0"></td>
				</tr>
			</table>
			<!-- main header ENDS-->
			<asp:panel id="importFile" runat="server" Width="990px">
				<BR>
				<TABLE cellSpacing="0" cellPadding="0" width="100%">
					<TR>
						<TD width="15">&nbsp;</TD>
						<TD><FONT color="#003366" size="+1"><B>Welcome to SpectralNET</B></FONT> <A onclick="openWin('help/helpmain.html','Help',500,382)" href="">
								<FONT size="-2">(help)</FONT></A>
						</TD>
					</TR>
				</TABLE>
				<BR>
				<TABLE cellSpacing="0" cellPadding="0" width="100%">
					<TR>
						<TD width="10">&nbsp;
						</TD>
						<TD>
							<asp:Panel id="parseError" runat="server" Width="100%" Visible="false">
								<asp:Label id="lblError" Runat="server" Font-Size="12" ForeColor="Red" Font-Bold="True"></asp:Label>
								<BR>
								<BR>
							</asp:Panel>
							<TABLE cellSpacing="3" cellPadding="0" width="100%" border="0">
								<TR>
									<TD colSpan="3">
										<H5>Step 1: Choose your input</H5>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top" width="1">
										<asp:RadioButton id="inputRawData" Runat="server" GroupName="inputType" Checked="True"></asp:RadioButton></TD>
									<TD vAlign="top">Upload raw data: <INPUT id="inputRawDataUpload" type="file" size="50" name="inputFileUpload" runat="server">
										<A onclick="openWin('help/rawdata.html','Help',550,382)" href=""><FONT size="-2">(help)</FONT></A>
										<BR>
										<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
											<TR>
												<TD colSpan="2"><IMG height="3" src="images/spacer.gif"></TD>
											</TR>
											<TR>
												<TD vAlign="top" align="left" width="1">
													<asp:RadioButton id="rawCorrelate" Runat="server" GroupName="rawUploadType" Checked="False"></asp:RadioButton></TD>
												<TD vAlign="top" align="left"><FONT size="-1">Correlate rows to each other based on 
														column values (edge weight is r squared)</FONT>
													<BR>
													<asp:CheckBox id="cbTransposeRawData" Runat="server" Checked="False"></asp:CheckBox><FONT size="-1">Transpose 
														Data</FONT> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<FONT size="-1">Relev. Thresh.</FONT>:
													<asp:TextBox id="tbRelevanceThresholdRawData" Width="40" Runat="server" Font-Size="8">0.00</asp:TextBox>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
													<asp:CheckBox id="cbNearestNeighborsRawData" Runat="server" Checked="False"></asp:CheckBox><FONT size="-1">Keep 
														K-nearest neighbors only: K=</FONT>
													<asp:TextBox id="tbNearestNeighborsRawData" Width="20" Runat="server" Font-Size="8">7</asp:TextBox><BR>
													<asp:CheckBox id="cbPCARawData" Runat="server" Checked="True"></asp:CheckBox><FONT size="-1">Perform 
														PCA on raw data first (automatically normalizes and re-centers data)</FONT>
												</TD>
											</TR>
											<TR>
												<TD colSpan="2"><IMG height="3" src="images/spacer.gif"></TD>
											</TR>
											<TR>
												<TD vAlign="top" align="left" width="1">
													<asp:RadioButton id="rbEigenmap" Runat="server" GroupName="rawUploadType" Checked="True"></asp:RadioButton></TD>
												<TD vAlign="top" align="left"><FONT size="-1">Connect nodes (one per row) to each other 
														based on Euclidean distance (Eigenmap algorithm)</FONT>
													<BR>
													<asp:CheckBox id="cbTransposeEigenmap" Runat="server" Checked="False"></asp:CheckBox><FONT size="-1">Transpose 
														Data</FONT>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT size="-1">K-nearest neighbors: 
														K=</FONT>
													<asp:TextBox id="tbKEigenmap" Width="20" Runat="server" Font-Size="8">7</asp:TextBox>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
													<FONT size="-1">Edge weights:</FONT> <FONT size="-1">
														<asp:RadioButton id="rbEdgeWeightsSimple" Runat="server" GroupName="edgeWeightsMethod" Checked="True"></asp:RadioButton>Simple 
														(all = 1)</FONT> <FONT size="-1">
														<asp:RadioButton id="rbEdgeWeightsHeatKernel" Runat="server" GroupName="edgeWeightsMethod" Checked="False"></asp:RadioButton>Heat 
														kernel: t=</FONT>
													<asp:TextBox id="tbTEigenmap" Width="30" Runat="server" Font-Size="8">100</asp:TextBox><BR>
													<asp:CheckBox id="cbPCAEigenmap" Runat="server" Checked="True"></asp:CheckBox><FONT size="-1">Perform 
														PCA on raw data first (automatically normalizes and re-centers data)</FONT>
												</TD>
											</TR>
											<TR>
												<TD colSpan="2"><IMG height="3" src="images/spacer.gif"></TD>
											</TR>
											<TR>
												<TD vAlign="top" align="left">
													<asp:RadioButton id="rawBipartite" Runat="server" GroupName="rawUploadType" Checked="False"></asp:RadioButton></TD>
												<TD vAlign="top" align="left"><FONT size="-1">Create a bipartite graph with row 
														elements connected to column elements (edge weight is raw cell value and must 
														be positive)</FONT>
													<BR>
													<FONT size="-1">Relev. Thresh.</FONT>:
													<asp:TextBox id="tbRelevanceThresholdRawDataBipartite" Width="40" Runat="server" Font-Size="8">0.00</asp:TextBox></TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top" width="1">
										<asp:RadioButton id="inputCorrelationMatrix" Runat="server" GroupName="inputType" Checked="False"></asp:RadioButton></TD>
									<TD vAlign="top">Upload adjacency matrix file: <INPUT id="inputCorrelationMatrixUpload" type="file" size="50" name="inputFileUpload" runat="server">
										<A onclick="openWin('help/adjmatrix.html','Help',350,382)" href=""><FONT size="-2">(help)</FONT></A>
										<BR>
										<asp:CheckBox id="cbSquareAdjacencyMatrix" Runat="server" Checked="False"></asp:CheckBox><FONT size="-1">Square 
											weights (useful for correlations)</FONT>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<FONT size="-1">Relev. 
											Thresh.</FONT>:
										<asp:TextBox id="tbRelevanceThreshold" Width="40" Runat="server" Font-Size="8">0.00</asp:TextBox></TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top" width="1">
										<asp:RadioButton id="inputFile" Runat="server" GroupName="inputType" Checked="False"></asp:RadioButton></TD>
									<TD vAlign="top">Upload Pajek file: <INPUT id="inputFileUpload" type="file" size="50" name="inputFileUpload" runat="server">
										<A onclick="openWin('help/pajek.html','Help',350,382)" href=""><FONT size="-2">(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top" width="1">
										<asp:RadioButton id="inputNodeEdges" Runat="server" GroupName="inputType" Checked="False"></asp:RadioButton></TD>
									<TD vAlign="top">Upload node-node-weight file: <INPUT id="inputNodeEdgesUpload" type="file" size="50" name="inputFileUpload" runat="server">
										<A onclick="openWin('help/nodenodeweight.html','Help',350,382)" href=""><FONT size="-2">
												(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:RadioButton id="inputRandomER" runat="server" GroupName="inputType"></asp:RadioButton></TD>
									<TD vAlign="top">Generate a random Erdös-Rényi graph (N =
										<asp:TextBox id="erNumNodes" Width="40" Runat="server" Font-Size="8" Text="50"></asp:TextBox>, 
										p =
										<asp:TextBox id="erProbability" Width="40" Runat="server" Font-Size="8" Text=".08"></asp:TextBox>).
										<A onclick="openWin('help/er.html','Help',330,382)" href=""><FONT size="-2">(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD><IMG height="1" src="images/spacer.gif" width="1"></TD>
									<TD></TD>
									<TD></TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:RadioButton id="inputRandomScaleFree" runat="server" GroupName="inputType"></asp:RadioButton></TD>
									<TD vAlign="top">Generate a random (Barabási-Albert) scale-free graph (N =
										<asp:TextBox id="sfNumNodes" Width="40" Runat="server" Font-Size="8" Text="300"></asp:TextBox>, 
										m =
										<asp:TextBox id="sfM" Width="40" Runat="server" Font-Size="8" Text="1"></asp:TextBox>).
										<A onclick="openWin('help/ba.html','Help',310,382)" href=""><FONT size="-2">(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD><IMG height="1" src="images/spacer.gif" width="1"></TD>
									<TD></TD>
									<TD></TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:RadioButton id="inputRandomScaleFreeRewiring" runat="server" GroupName="inputType"></asp:RadioButton></TD>
									<TD vAlign="top">Generate a random, re-wiring, scale-free graph (t =
										<asp:TextBox id="sfrwT" Width="40" Runat="server" Font-Size="8" Text="350"></asp:TextBox>, 
										m =
										<asp:TextBox id="sfrwM" Width="40" Runat="server" Font-Size="8" Text="1"></asp:TextBox>, 
										p[newedges] =
										<asp:TextBox id="sfrwNewEdges" Width="40" Runat="server" Font-Size="8" Text=".05"></asp:TextBox>, 
										p[rewire] =
										<asp:TextBox id="sfrwRewire" Width="40" Runat="server" Font-Size="8" Text=".05"></asp:TextBox>).
										<A onclick="openWin('help/barw.html','Help',250,382)" href=""><FONT size="-2">(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD><IMG height="1" src="images/spacer.gif" width="1"></TD>
									<TD></TD>
									<TD></TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:RadioButton id="inputRandomHierarchical" runat="server" GroupName="inputType"></asp:RadioButton></TD>
									<TD vAlign="top">Generate a hierarchical graph (Clique size =
										<asp:TextBox id="hierCS" Width="40" Runat="server" Font-Size="8" Text="5"></asp:TextBox>, 
										n =
										<asp:TextBox id="hierN" Width="40" Runat="server" Font-Size="8" Text="2"></asp:TextBox>).
										<FONT size="-1"><B>Warning: creates cs<SUP>n+1</SUP> nodes, choose low n.</B></FONT>
										<A onclick="openWin('help/hier.html','Help',220,382)" href=""><FONT size="-2">(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD><IMG height="1" src="images/spacer.gif" width="1"></TD>
									<TD></TD>
									<TD></TD>
								</TR>
								<TR>
									<TD vAlign="top" height="26">&nbsp;</TD>
									<TD vAlign="top">
										<asp:RadioButton id="inputRandomSmallWorld" runat="server" GroupName="inputType"></asp:RadioButton></TD>
									<TD vAlign="top">Generate a random (Watts-Strogatz) small-world graph (n =
										<asp:TextBox id="swN" Width="40" Runat="server" Font-Size="8" Text="300"></asp:TextBox>, 
										k =
										<asp:TextBox id="swK" Width="40" Runat="server" Font-Size="8" Text="4"></asp:TextBox>, 
										p =
										<asp:TextBox id="swP" Width="40" Runat="server" Font-Size="8" Text="0.2"></asp:TextBox>).
										<A onclick="openWin('help/ws.html','Help',240,382)" href=""><FONT size="-2">(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
									<TD>&nbsp;</TD>
									<TD>&nbsp;</TD>
								</TR>
								<TR>
									<TD colSpan="3">
										<H5>Step 2: Choose options</H5>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:CheckBox id="doFR" Runat="server" Checked="True"></asp:CheckBox></TD>
									<TD vAlign="top">Apply Fruchterman-Reingold algorithm <A onclick="openWin('help/fr.html','Help',270,382)" href="">
											<FONT size="-2">(help)</FONT></A></TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:CheckBox id="cbDoDijkstra" Runat="server" Checked="False"></asp:CheckBox></TD>
									<TD vAlign="top">Calculate shortest path lengths using Floyd's algorithm (warning: 
										slow on large graphs)</TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:CheckBox id="cbDoClusterCoefficient" Runat="server" Checked="True"></asp:CheckBox></TD>
									<TD vAlign="top">Calculate cluster coefficients <A onclick="openWin('help/clustercoeff.html','Help',200,382)" href="">
											<FONT size="-2">(help)</FONT></A></TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;</TD>
									<TD vAlign="top">
										<asp:CheckBox id="chemchem" runat="server" Text=""></asp:CheckBox></TD>
									<TD vAlign="top">Produce the n-mode projection of the graph where each nodes has at 
										least
										<asp:DropDownList id="numSimilarities" runat="server" Font-Size="8"></asp:DropDownList>edges 
										in common.
										<BR>
										Use the following regular expression to choose which nodes to keep in the 
										projection:
										<asp:TextBox id="chemRegex" Runat="server" Font-Size="8">^[0-9][A-Z][0-9]+$</asp:TextBox><A onclick="openWin('help/regex.html','Help',290,382)" href=""><FONT size="-2">(help)</FONT></A>
									</TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
									<TD>&nbsp;</TD>
									<TD>&nbsp;</TD>
								</TR>
								<TR>
									<TD colSpan="3">
										<H5>Step 3: Begin analysis</H5>
									</TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
									<TD vAlign="top" colSpan="2">
										<asp:Button id="submit" onclick="submit_Click" runat="server" text="Analyze Graph"></asp:Button></TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TABLE>
			</asp:panel>
			<asp:panel id="analysisDisplay" runat="server" Width="990px">
				<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
					<TR>
						<TD width="15">&nbsp;
						</TD>
						<TD>
							<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR vAlign="top">
									<TD vAlign="top">
										<TABLE cellSpacing="0" cellPadding="0" width="1" border="0">
											<TR>
												<TD><FONT face="Ariel" size="-2"><B>Current&nbsp;Vertex:</B></FONT><BR>
													<asp:ListBox id="verticesLB" runat="server" SelectionMode="Single" AutoPostBack="True" OnSelectedIndexChanged="Vertex_Select"></asp:ListBox></TD>
												<TD width="10">&nbsp;&nbsp;&nbsp;
												</TD>
												<TD><FONT face="Ariel" size="-2"><B>Connected&nbsp;To:</B></FONT><BR>
													<asp:ListBox id="edgesLB" runat="server" SelectionMode="Single" AutoPostBack="True" OnSelectedIndexChanged="Vertex_Select"></asp:ListBox></TD>
											</TR>
											<TR>
												<TD align="left" colSpan="3"><BR>
													<asp:Panel id="pnlOps" runat="server" Width="100%" Height="30" BorderWidth="2" BackColor="LightGray">
														<TABLE cellSpacing="3" cellPadding="0" width="100%" border="0">
															<TR>
																<TD>
																	<asp:Label id="lblOps" runat="server" Font-Size="12" Font-Bold="true" Text="Operations:" Font-Name="Ariel"></asp:Label></TD>
															</TR>
														</TABLE>
														<TABLE height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
															<TR>
																<TD vAlign="middle" align="center">
																	<asp:Button id="btnCollapsePanel" onclick="Collapse_Panel" Width="300" Runat="server" Font-Bold="true"
																		Text="Collapse vertices" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button></TD>
															</TR>
															<TR>
																<TD vAlign="middle" align="center">
																	<asp:Button id="btnTextOutput" onclick="TextOutput_Panel" Width="300" Runat="server" Font-Bold="true"
																		Text="Export Connected Component Data" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button></TD>
															</TR>
															<TR>
																<TD vAlign="middle" align="center">
																	<asp:Button id="btnExportVRML" onclick="btnExportVRML_Clicked" Width="300" Runat="server" Font-Bold="true"
																		Text="" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button>
																</TD>
															</TR>
															<TR>
																<TD vAlign="middle" align="center">
																	<asp:Button id="btnResetDisplay" onclick="btnResetDisplay_Clicked" Width="300" Runat="server" Font-Bold="true"
																		Text="Reset Display" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button>
																</TD>
															</TR>
															<TR>
																<TD vAlign="middle" align="left"><B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Graph 
																		click:</B>
																	<asp:RadioButton id="rbSelectNode" Runat="server" GroupName="rbGraphClick" Checked="True"></asp:RadioButton><B>Select 
																		node</B>&nbsp;&nbsp;
																	<asp:RadioButton id="rbZoom" Runat="server" GroupName="rbGraphClick"></asp:RadioButton><B>Zoom</B>
																	<asp:DropDownList id="ddlZoomFactor" Runat="server" Font-Size="8">
																		<asp:ListItem Value=".1">x.1</asp:ListItem>
																		<asp:ListItem Value=".25">x.25</asp:ListItem>
																		<asp:ListItem Value=".5">x.5</asp:ListItem>
																		<asp:ListItem Value="1">x1</asp:ListItem>
																		<asp:ListItem Value="2" Selected="True">x2</asp:ListItem>
																		<asp:ListItem Value="4">x4</asp:ListItem>
																		<asp:ListItem Value="10">x10</asp:ListItem>
																	</asp:DropDownList></TD>
															</TR>
															<TR>
																<TD vAlign="middle" align="left"><B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Draw:</B>
																	<asp:CheckBox id="cbDrawConnectedEdges" Runat="server" Checked="True" AutoPostBack="True" OnCheckedChanged="cbDrawEdges_Changed"></asp:CheckBox><FONT size="-1"><B>Connected 
																			Edges</B></FONT>
																	<asp:CheckBox id="cbDrawOtherEdges" Runat="server" Checked="True" AutoPostBack="True" OnCheckedChanged="cbDrawEdges_Changed"></asp:CheckBox><FONT size="-1"><B>Other 
																			Edges</B></FONT>
																</TD>
															</TR>
														</TABLE>
													</asp:Panel></TD>
											</TR>
											<TR>
												<TD vAlign="top" colSpan="3"><BR>
													<asp:Panel id="pnlVertex" runat="server" Width="100%" Height="290" BorderWidth="2" BackColor="LightGray">
														<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
															<TR>
																<TD>&nbsp;&nbsp;&nbsp;
																</TD>
																<TD><BR>
																	<asp:Label id="vName" runat="server" Font-Size="16" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR>
																	<BR>
																	<asp:Label id="connInfo" runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR>
																	<BR>
																	<asp:Label id="vDegree" runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR>
																	<BR>
																	<asp:Panel id="pnlShowComponent" runat="server">
																		<B>Connected component insufficiently large to calculate data.</B>
																	</asp:Panel>
																	<asp:Panel id="pnlVertexComponentInfo" runat="server">
																		<asp:Label id="vCC" runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label>
																		<BR>
																		<asp:Label id="vDist" Runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label>
																		<BR>
																		<BR>
																		<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
																			<TR>
																				<TD>&nbsp;</TD>
																				<TD><B><FONT size="-1">Adjacency</FONT></B></TD>
																				<TD><B><FONT size="-1">Laplacian</FONT></B></TD>
																				<TD><B><FONT size="-1">Norm. Laplacian</FONT></B></TD>
																			</TR>
																			<TR>
																				<TD><B><FONT size="-1">λ<SUB>0</SUB></FONT></B>&nbsp;&nbsp;</TD>
																				<TD>
																					<asp:Label id="vAdjE0" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vLapE0" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vNormLapE0" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																			</TR>
																			<TR>
																				<TD><B><FONT size="-1">λ<SUB>1</SUB></FONT></B></TD>
																				<TD>
																					<asp:Label id="vAdjE1" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vLapE1" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vNormLapE1" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																			</TR>
																			<TR>
																				<TD><B><FONT size="-1">λ<SUB>2</SUB></FONT></B></TD>
																				<TD>
																					<asp:Label id="vAdjE2" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vLapE2" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vNormLapE2" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																			</TR>
																			<TR>
																				<TD><B><FONT size="-1">λ<SUB>3</SUB></FONT></B></TD>
																				<TD>
																					<asp:Label id="vAdjE3" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vLapE3" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																				<TD>
																					<asp:Label id="vNormLapE3" runat="server" Font-Size="8" Font-Name="Ariel"></asp:Label></TD>
																			</TR>
																		</TABLE>
																	</asp:Panel></TD>
															</TR>
														</TABLE>
													</asp:Panel></TD>
											</TR>
										</TABLE>
									</TD>
									<TD>&nbsp;&nbsp;&nbsp;
									</TD> <!-- big picture -->
									<TD vAlign="top" width="100%"><IMG height="12" src="images/spacer.gif" align="bottom"><BR>
										<asp:Panel id="normalPanel" Runat="server">
											<asp:ImageButton id="graphDisplay" onclick="Image_Clicked" runat="server" Width="600" Height="600"
												BorderWidth="0"></asp:ImageButton>
										</asp:Panel>
										<asp:Panel id="laplacianPanel" Runat="server">
											<asp:ImageButton id="laplacianDisplay" onclick="Image_Clicked" runat="server" Width="600" Height="600"
												BorderWidth="0"></asp:ImageButton>
										</asp:Panel>
										<asp:Panel id="pcaPanel" Runat="server">
											<asp:ImageButton id="pcaDisplay" onclick="Image_Clicked" runat="server" Width="600" Height="600"
												BorderWidth="0"></asp:ImageButton>
										</asp:Panel>
										<TABLE cellSpacing="0" cellPadding="0" width="0" border="0">
											<TR>
												<TD><NOBR><FONT size="-1"><B>Display Type: </B></FONT></NOBR>
												</TD>
												<TD>&nbsp;</TD>
												<TD><NOBR>
														<asp:RadioButton id="rbDisplayMain" Runat="server" GroupName="SelectDisplay" Checked="True" AutoPostBack="True"
															OnCheckedChanged="gDisplay_Change"></asp:RadioButton><FONT size="-1"><B>Fruchterman-Reingold</B></FONT></NOBR></TD>
												<TD>&nbsp;</TD>
												<TD><NOBR>
														<asp:Panel id="pnlLaplacianRadio" Runat="server" BorderWidth="0">
															<asp:RadioButton id="rbDisplayLaplacian" Runat="server" GroupName="SelectDisplay" AutoPostBack="True"
																OnCheckedChanged="gDisplay_Change"></asp:RadioButton>
															<FONT size="-1"><B>Laplacian Embedding</B></FONT></asp:Panel></NOBR></TD>
												<TD>&nbsp;</TD>
												<TD><NOBR>
														<asp:Panel id="pnlPCARadio" Runat="server" BorderWidth="0">
															<asp:RadioButton id="rbDisplayPCA" Runat="server" GroupName="SelectDisplay" AutoPostBack="True" OnCheckedChanged="gDisplay_Change"></asp:RadioButton>
															<FONT size="-1"><B>PCA Projection of Data</B></FONT>
														</asp:Panel></NOBR></TD>
												<TD width="100%">&nbsp;</TD>
											</TR>
										</TABLE>
									</TD>
								</TR> <!-- end big picture -->
								<TR>
									<TD colSpan="3">
										<asp:Panel id="pnlComponent" runat="server" Width="86.52%" Height="294" BorderWidth="0" BackColor="White">
											<BR>
											<BR>
											<asp:Label id="componentName" runat="server" Font-Size="18" Font-Bold="true" Text="Connected Component Information"
												Font-Name="Ariel"></asp:Label>
											<BR>
											<BR>
											<TABLE cellSpacing="0" cellPadding="0" width="990" border="0">
												<TR>
													<TD width="450">
														<asp:ImageButton id="graphDegreeDistribution" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Degree k vs. Degree Distribution P(k)</B></CENTER>
													</TD>
													<TD width="90">&nbsp;&nbsp;&nbsp;
													</TD>
													<TD width="450">
														<asp:ImageButton id="graphClusterCoefficient" onclick="ClusterCoefficient_Clicked" runat="server"
															Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Degree k vs. Cluster Coefficient C(k)</B></CENTER>
													</TD>
												</TR>
												<TR height="30">
													<TD>&nbsp;
													</TD>
													<TD>&nbsp;
													</TD>
													<TD>&nbsp;
													</TD>
												</TR>
												<TR>
													<TD>
														<asp:ImageButton id="graphPathLength" onclick="PathLength_Clicked" runat="server" Width="450" Height="280"
															BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Degree k vs. Average Path Length</B></CENTER>
													</TD>
													<TD>&nbsp;&nbsp;&nbsp;
													</TD>
													<TD>&nbsp;
													</TD>
												</TR>
											</TABLE>
											<BR>
											<BR>
											<BR>
											<asp:Label id="lblEigenInfo" runat="server" Font-Size="18" Font-Bold="true" Text="Connected Component Eigenvalues/Eigenvectors"
												Font-Name="Ariel"></asp:Label>
											<BR>
											<BR>
											<asp:Label id="lblAdjacency" runat="server" Font-Size="14" Font-Bold="true" Text="Adjacency Matrix"
												Font-Name="Ariel"></asp:Label>
											<BR>
											<BR>
											<TABLE cellSpacing="0" cellPadding="0" width="990" border="0">
												<TR>
													<TD vAlign="top" width="450">
														<asp:ImageButton id="adjacencyEigenvalues" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Adjacency Eigenvalues</B></CENTER>
														<BR>
														<BR>
														<BR>
														<asp:ImageButton id="adjIVP" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER>
															<asp:Label id="lblAdjIVP" Runat="server" Font-Bold="True"></asp:Label></CENTER>
														<BR>
														<BR>
														<BR>
														<asp:ImageButton id="adjSpec" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Adjacency Spectral Density</B></CENTER>
													</TD>
													<TD width="90">&nbsp;&nbsp;&nbsp;
													</TD>
													<TD width="450">
														<asp:ImageButton id="adjacencyEigenvectorZero" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="adjE0Vec" Runat="server" Font-Bold="True" GroupName="adjE0" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="adjE0Degree" Runat="server" Font-Bold="True" GroupName="adjE0" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Adjacency Eigenvector Zero</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="adjacencyEigenvectorOne" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="adjE1Vec" Runat="server" Font-Bold="True" GroupName="adjE1" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="adjE1Degree" Runat="server" Font-Bold="True" GroupName="adjE1" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Adjacency Eigenvector One</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="adjacencyEigenvectorTwo" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="adjE2Vec" Runat="server" Font-Bold="True" GroupName="adjE2" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="adjE2Degree" Runat="server" Font-Bold="True" GroupName="adjE2" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Adjacency Eigenvector Two</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="adjacencyEigenvectorThree" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="adjE3Vec" Runat="server" Font-Bold="True" GroupName="adjE3" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="adjE3Degree" Runat="server" Font-Bold="True" GroupName="adjE3" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Adjacency Eigenvector Three</B></CENTER>
													</TD>
												</TR>
											</TABLE>
											<BR>
											<BR>
											<asp:Label id="lblLaplacian" runat="server" Font-Size="14" Font-Bold="true" Text="Laplacian Matrix"
												Font-Name="Ariel"></asp:Label>
											<BR>
											<BR>
											<TABLE cellSpacing="0" cellPadding="0" width="990" border="0">
												<TR>
													<TD vAlign="top" width="450">
														<asp:ImageButton id="laplacianEigenvalues" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Laplacian Eigenvalues</B></CENTER>
														<BR>
														<BR>
														<BR>
														<asp:ImageButton id="lapIVP" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER>
															<asp:Label id="lblLapIVP" Runat="server" Font-Bold="True"></asp:Label></CENTER>
														<BR>
														<BR>
														<BR>
														<asp:ImageButton id="lapSpec" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Laplacian Spectral Density</B></CENTER>
													</TD>
													<TD width="90">&nbsp;&nbsp;&nbsp;
													</TD>
													<TD width="450">
														<asp:ImageButton id="laplacianEigenvectorZero" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="lapE0Vec" Runat="server" Font-Bold="True" GroupName="lapE0" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="lapE0Degree" Runat="server" Font-Bold="True" GroupName="lapE0" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Laplacian Eigenvector Zero</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="laplacianEigenvectorOne" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="lapE1Vec" Runat="server" Font-Bold="True" GroupName="lapE1" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="lapE1Degree" Runat="server" Font-Bold="True" GroupName="lapE1" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Laplacian Eigenvector One</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="laplacianEigenvectorTwo" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="lapE2Vec" Runat="server" Font-Bold="True" GroupName="lapE2" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="lapE2Degree" Runat="server" Font-Bold="True" GroupName="lapE2" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Laplacian Eigenvector Two</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="laplacianEigenvectorThree" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="lapE3Vec" Runat="server" Font-Bold="True" GroupName="lapE3" Checked="True" Text="Eigenvector"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="lapE3Degree" Runat="server" Font-Bold="True" GroupName="lapE3" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Laplacian Eigenvector Three</B></CENTER>
													</TD>
												</TR>
											</TABLE>
											<BR>
											<BR>
											<asp:Label id="lblNormLaplacian" runat="server" Font-Size="14" Font-Bold="true" Text="Normalized Laplacian Matrix"
												Font-Name="Ariel"></asp:Label>
											<BR>
											<BR>
											<TABLE cellSpacing="0" cellPadding="0" width="990" border="0">
												<TR>
													<TD vAlign="top" width="450">
														<asp:ImageButton id="normLaplacianEigenvalues" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Normalized Laplacian Eigenvalues</B></CENTER>
														<BR>
														<BR>
														<BR>
														<asp:ImageButton id="normLapIVP" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER>
															<asp:Label id="lblNormLapIVP" Runat="server" Font-Bold="True"></asp:Label></CENTER>
														<BR>
														<BR>
														<BR>
														<asp:ImageButton id="normLapSpec" runat="server" Width="450" Height="280" BorderWidth="0"></asp:ImageButton>
														<CENTER><B>Normalized Laplacian Spectral Density</B></CENTER>
													</TD>
													<TD width="90">&nbsp;&nbsp;&nbsp;
													</TD>
													<TD width="450">
														<asp:ImageButton id="normLaplacianEigenvectorZero" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="normLapE0Vec" Runat="server" Font-Bold="True" GroupName="normLapE0" Checked="True"
															Text="Eigenvector" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="normLapE0Degree" Runat="server" Font-Bold="True" GroupName="normLapE0" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Normalized Laplacian Eigenvector Zero</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="normLaplacianEigenvectorOne" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="normLapE1Vec" Runat="server" Font-Bold="True" GroupName="normLapE1" Checked="True"
															Text="Eigenvector" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="normLapE1Degree" Runat="server" Font-Bold="True" GroupName="normLapE1" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Normalized Laplacian Eigenvector One</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="normLaplacianEigenvectorTwo" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="normLapE2Vec" Runat="server" Font-Bold="True" GroupName="normLapE2" Checked="True"
															Text="Eigenvector" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="normLapE2Degree" Runat="server" Font-Bold="True" GroupName="normLapE2" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Normalized Laplacian Eigenvector Two</B></CENTER>
														<BR>
														<BR>
														<asp:ImageButton id="normLaplacianEigenvectorThree" onclick="eigenGraph_Clicked" runat="server" Width="450"
															Height="280" BorderWidth="0"></asp:ImageButton><BR>
														<B><FONT size="-1">Sort by:</FONT></B>
														<asp:RadioButton id="normLapE3Vec" Runat="server" Font-Bold="True" GroupName="normLapE3" Checked="True"
															Text="Eigenvector" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<asp:RadioButton id="normLapE3Degree" Runat="server" Font-Bold="True" GroupName="normLapE3" Text="Node Degree"
															AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
														<CENTER><B>Normalized Laplacian Eigenvector Three</B></CENTER>
													</TD>
												</TR>
											</TABLE>
											<BR>
											<BR>
											<asp:Panel id="pnlEigenvalues" runat="server" Width="990" Height="1" BorderWidth="2" BackColor="LightGray">
												<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
													<TR>
														<TD vAlign="top" align="left" width="33%">
															<asp:Label id="lblAdjEigensHeader" runat="server" Font-Size="14" Font-Bold="true" Font-Name="Ariel">Adjacency Eigenvalues</asp:Label><BR>
															<BR>
															<asp:Label id="lblAdjEigens" runat="server" Font-Size="11" Font-Bold="true" Font-Name="Ariel"></asp:Label></TD>
														<TD vAlign="top" align="left" width="33%">
															<asp:Label id="lblLapEigensHeader" runat="server" Font-Size="14" Font-Bold="true" Font-Name="Ariel">Laplacian Eigenvalues</asp:Label><BR>
															<BR>
															<asp:Label id="lblLapEigens" runat="server" Font-Size="11" Font-Bold="true" Font-Name="Ariel"></asp:Label></TD>
														<TD vAlign="top" align="left" width="33%"><NOBR>
																<asp:Label id="lblNormLapEigensHeader" runat="server" Font-Size="14" Font-Bold="true" Font-Name="Ariel">Normalized Laplacian Eigenvalues</asp:Label></NOBR><BR>
															<BR>
															<asp:Label id="lblNormLapEigens" runat="server" Font-Size="11" Font-Bold="true" Font-Name="Ariel"></asp:Label></TD>
													</TR>
												</TABLE>
											</asp:Panel>
										</asp:Panel><!-- pnlComponent --></TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TABLE>
			</asp:panel> <!-- AnalysisDisplay --><asp:panel id="pnlCollapse" Width="100%" Runat="server">
				<TABLE cellSpacing="0" cellPadding="0" width="100%">
					<TR>
						<TD width="15">&nbsp;</TD>
						<TD><BR>
							<H3>Choose nodes to collapse:</H3>
							<asp:ListBox id="collapseLB" Runat="server" SelectionMode="Multiple" Rows="12"></asp:ListBox><BR>
							<BR>
							<B>New node's label:</B>
							<asp:TextBox id="newNodeName" Width="300" Runat="server"></asp:TextBox><BR>
							<BR>
							<asp:Button id="btnCollapse" onclick="Collapse_Vertices" Width="150" Runat="server" Font-Bold="true"
								Text="Collapse vertices" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button>&nbsp;&nbsp;&nbsp;
							<asp:Button id="btnCancelCollapse" onclick="Cancel_Collapse" Width="150" Runat="server" Font-Bold="true"
								Text="Cancel" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button></TD>
					</TR>
				</TABLE>
			</asp:panel><asp:panel id="pnlTextOutput" Width="100%" Runat="server">
				<TABLE cellSpacing="0" cellPadding="0" width="100%">
					<TR>
						<TD width="15">&nbsp;</TD>
						<TD><BR>
							<H3>Data to export to comma-delimited text file:</H3>
							<asp:CheckBox id="outNode" Runat="server" Checked="False" Text="Node information" AutoPostBack="True"
								OnCheckedChanged="Unclick_outNode"></asp:CheckBox>
							<TABLE cellSpacing="0" cellPadding="0" width="100%">
								<TR>
									<TD width="15">&nbsp;
									</TD>
									<TD>
										<asp:CheckBox id="outNodeLabel" Runat="server" Checked="True" Enabled="False"></asp:CheckBox>
										<asp:Label id="lblLabel" Runat="server">Label</asp:Label><BR>
										<asp:CheckBox id="outNodeID" Runat="server" Checked="True" Enabled="False"></asp:CheckBox>
										<asp:Label id="lblIDNumber" Runat="server">ID Number</asp:Label><BR>
										<asp:CheckBox id="outNodeDegree" Runat="server" Checked="False" Text="Degree"></asp:CheckBox><BR>
										<asp:CheckBox id="outNodeCK" Runat="server" Checked="False" Text="Clustering Coefficient"></asp:CheckBox><BR>
										<asp:CheckBox id="outNodeAvgDist" Runat="server" Checked="False" Text="Distance -- Average"></asp:CheckBox><BR>
										<asp:CheckBox id="outNodeMaxDist" Runat="server" Checked="False" Text="Distance -- Maximum"></asp:CheckBox><BR>
										<asp:CheckBox id="outNodeAdjEig" Runat="server" Checked="False" Text="Primary adjacency eigenvector components"></asp:CheckBox><BR>
										<asp:CheckBox id="outNodeLapEig" Runat="server" Checked="False" Text="Primary laplacian eigenvector components"></asp:CheckBox><BR>
										<asp:CheckBox id="outNodeNormLapEig" Runat="server" Checked="False" Text="Primary normalized laplacian eigenvector components"></asp:CheckBox><!-- <BR>
										<asp:CheckBox id="outNodeLLE" Runat="server" Checked="False" Text="Log-scaled Laplacian Eigenvector Components 1,2,3"></asp:CheckBox>--></TD>
								</TR>
							</TABLE>
							<BR>
							<asp:CheckBox id="outAdjEigenvalueInfo" Runat="server" Checked="False" Text="Adjacency Eigenvalue Information"
								AutoPostBack="True" OnCheckedChanged="Unclick_outAdjEigenvalueInfo"></asp:CheckBox>
							<TABLE cellSpacing="0" cellPadding="0" width="100%">
								<TR>
									<TD width="15">&nbsp;
									</TD>
									<TD>
										<asp:CheckBox id="outAdjEigenvalue" Runat="server" Checked="True" Text="Eigenvalue" Enabled="False"></asp:CheckBox><BR>
										<asp:CheckBox id="outAdjIVP" Runat="server" Checked="False" Text="Inverse Participation Ratio"></asp:CheckBox><BR>
										<asp:CheckBox id="outAdjSpec" Runat="server" Checked="False"></asp:CheckBox><BR>
										<asp:CheckBox id="outAdjEigenvector" Runat="server" Checked="False" Text="Eigenvector"></asp:CheckBox></TD>
								</TR>
							</TABLE>
							<BR>
							<asp:CheckBox id="outLapEigenvalueInfo" Runat="server" Checked="False" Text="Laplacian Eigenvalue Information"
								AutoPostBack="True" OnCheckedChanged="Unclick_outLapEigenvalueInfo"></asp:CheckBox>
							<TABLE cellSpacing="0" cellPadding="0" width="100%">
								<TR>
									<TD width="15">&nbsp;
									</TD>
									<TD>
										<asp:CheckBox id="outLapEigenvalue" Runat="server" Checked="True" Text="Eigenvalue" Enabled="False"></asp:CheckBox><BR>
										<asp:CheckBox id="outLapIVP" Runat="server" Checked="False" Text="Inverse Participation Ratio"></asp:CheckBox><BR>
										<asp:CheckBox id="outLapSpec" Runat="server" Checked="False"></asp:CheckBox><BR>
										<asp:CheckBox id="outLapEigenvector" Runat="server" Checked="False" Text="Eigenvector"></asp:CheckBox></TD>
								</TR>
							</TABLE>
							<BR>
							<asp:CheckBox id="outNormLapEigenvalueInfo" Runat="server" Checked="False" Text="Normalized Laplacian Eigenvalue Information"
								AutoPostBack="True" OnCheckedChanged="Unclick_outNormLapEigenvalueInfo"></asp:CheckBox>
							<TABLE cellSpacing="0" cellPadding="0" width="100%">
								<TR>
									<TD width="15">&nbsp;
									</TD>
									<TD>
										<asp:CheckBox id="outNormLapEigenvalue" Runat="server" Checked="True" Text="Eigenvalue" Enabled="False"></asp:CheckBox><BR>
										<asp:CheckBox id="outNormLapIVP" Runat="server" Checked="False" Text="Inverse Participation Ratio"></asp:CheckBox><BR>
										<asp:CheckBox id="outNormLapSpec" Runat="server" Checked="False"></asp:CheckBox><BR>
										<asp:CheckBox id="outNormLapEigenvector" Runat="server" Checked="False" Text="Eigenvector"></asp:CheckBox></TD>
								</TR>
							</TABLE>
							<BR>
							<asp:CheckBox id="outAdjMat" Runat="server" Checked="False" Text="Adjacency Matrix"></asp:CheckBox><BR>
							<asp:CheckBox id="outLapMat" Runat="server" Checked="False" Text="Laplacian Matrix"></asp:CheckBox><BR>
							<asp:CheckBox id="outNormLapMat" Runat="server" Checked="False" Text="Normalized Laplacian Matrix"></asp:CheckBox><BR>
							<asp:CheckBox id="outNodeNodeWeight" Runat="server" Checked="False" Text="Node node weight file"></asp:CheckBox><BR>
							<BR>
							<asp:Button id="btnExport" onclick="Click_Export" Width="150" Runat="server" Font-Bold="true"
								Text="Create file(s)" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button>&nbsp;&nbsp;&nbsp;
							<asp:Button id="btnCancelTextOutput" onclick="Cancel_TextOutput" Width="150" Runat="server"
								Font-Bold="true" Text="Cancel" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button></TD>
					</TR>
				</TABLE>
			</asp:panel><asp:panel id="pnlExportLinks" Width="100%" Runat="server">
				<TABLE cellSpacing="0" cellPadding="0" width="100%">
					<TR>
						<TD width="15">&nbsp;</TD>
						<TD><BR>
							<H3>Exported Files (right-click to choose "Save As...")</H3>
							<asp:HyperLink id="linkNodeInfo" Runat="server">Node Information<br><br></asp:HyperLink>
							<asp:HyperLink id="linkAdjEigenvalueInfo" Runat="server">Adjacency Eigenvalue Information<br><br></asp:HyperLink>
							<asp:HyperLink id="linkLapEigenvalueInfo" Runat="server">Laplacian Eigenvalue Information<br><br></asp:HyperLink>
							<asp:HyperLink id="linkNormLapEigenvalueInfo" Runat="server">Normalized Laplacian Eigenvalue Information<br><br></asp:HyperLink>
							<asp:HyperLink id="linkAdjMat" Runat="server">Adjacency Matrix<br><br></asp:HyperLink>
							<asp:HyperLink id="linkLapMat" Runat="server">Laplacian Matrix<br><br></asp:HyperLink>
							<asp:HyperLink id="linkNormLapMat" Runat="server">Normalized Laplacian Matrix<br><br></asp:HyperLink>
							<asp:HyperLink id="linkNodeNodeWeight" Runat="server">Node Node Weight File<br><br></asp:HyperLink><BR>
							<asp:Button id="btnDoneExport" onclick="Click_DoneExport" Width="150" Runat="server" Font-Bold="true"
								Text="Done exporting" BorderWidth="1px" BorderColor="#000000" BorderStyle="Solid"></asp:Button></TD>
					</TR>
				</TABLE>
			</asp:panel><asp:panel id="pnlGraphCompare" Width="100%" Runat="server">
				<TABLE cellSpacing="0" cellPadding="0" width="100%">
					<TR>
						<TD width="15">&nbsp;</TD>
						<TD><BR>
							<H3>Nodes Sorted Descending by Relative Difference</H3>
							<asp:Table id="tblGraphCompare" Runat="server"></asp:Table></TD>
					</TR>
				</TABLE>
			</asp:panel>
			<br>
			<br>
		</form>
	</BODY>
</HTML>
