<%@ Page language="c#" AutoEventWireup="false" Debug="true" Inherits="SpectralNET.DataAnalyzer" Trace="false" Src="index.aspx.cs" %>

<HTML>
  <HEAD>
		<TITLE>SpectralNET</TITLE>
<%
Server.ScriptTimeout = 360000;
%>
		<LINK href="/Default.vsdisco" type="text/xml" rel="alternate">
		<meta content="ChemBank - Initiative for Chemical Genetics, Boston, MA" name="description">
		<meta content="chembank, chemical, genetics" name="keywords">
		<LINK href="css/chembank.css" type="text/css" rel="stylesheet">
		<!--#include virtual="js/scripts.js" -->
  </HEAD>
	<BODY bgColor="#ffffff" leftMargin="0" topMargin="0" marginwidth="0" marginheight="0">
		<form encType="multipart/form-data" runat="server">
			<!-- main header STARTS-->
			<table class="header-image" cellSpacing="0" cellPadding="0" width="100%" background="images/background_02.gif" border="0">
				<tr>
					<td width="461"><IMG height="26" alt="" src="images/chembank_01.gif" width="461"></td>
					<td width="37"><a href="http://chembank.med.harvard.edu/"><IMG height="26" alt="home" src="images/chembank_02_over.gif" width="37" border="0"></a></td>
					<td width="20"><IMG height="26" alt="" src="images/chembank_separator1.gif" width="20" border="0"></td>
					<td width="43"><a href="http://chembank.med.harvard.edu/about.shtml"><IMG height="26" alt="about" src="images/chembank_04_over.gif" width="43" border="0"></a></td>
					<td width="20"><IMG height="26" alt="" src="images/chembank_separator1.gif" width="20" border="0"></td>
					<td width="59"><a href="http://chembank.med.harvard.edu/contact.shtml"><IMG height="26" alt="contact" src="images/chembank_06_over.gif" width="59" border="0"></a></td>
					<td width="20"><IMG height="26" alt="" src="images/chembank_separator1.gif" width="20" border="0"></td>
					<td width="50"><a href="http://chembank.med.harvard.edu/search.shtml"><IMG height="26" alt="search" src="images/chembank_08_over.gif" width="50" border="0"></a></td>
					<td align="left" width="100%" background="images/background_01.gif"><IMG height="26" src="images/chembank_09.gif" width="10" border="0"></td>
				</tr>
				<tr>
					<td width="100%" background="images/background_02.gif" colSpan="9"><IMG height="64" alt="" src="images/chembank_10.gif" width="720" border="0"></td>
				</tr>
			</table>
			<!-- main header ENDS-->

<asp:panel id="importFile" runat="server" Width="1157px"><BR>
<TABLE cellSpacing=0 cellPadding=0 width="100%">
  <TR>
    <TD width=15>&nbsp;</TD>
    <TD><FONT color=#003366 size=+1><B>Welcome to SpectralNET</B></FONT> <A 
      onclick="openWin('help/helpmain.html','Help',500,382)" href=""><FONT 
      size=-2>(help)</FONT></A> </TD></TR></TABLE><BR>
<TABLE cellSpacing=0 cellPadding=0 width="100%">
  <TR>
    <TD width=10>&nbsp; </TD>
    <TD>
      <TABLE cellSpacing=3 cellPadding=0 width="100%" border=0>
        <TR>
          <TD colSpan=3>
            <H5>Step 1: Choose your input</H5></TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top width=1><asp:RadioButton id=inputFile Runat="server" Checked="True" GroupName="inputType"></asp:RadioButton></TD>
          <TD vAlign=top>Upload Pajek file: <INPUT id=inputFileUpload 
            type=file size=50 name=inputFileUpload runat="server"> </TD>
        </TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top width=1><asp:RadioButton id="inputNodeEdges" Runat="server" Checked="False" GroupName="inputType"></asp:RadioButton></TD>
          <TD vAlign=top>Upload node:edges file: <INPUT id="inputNodeEdgesUpload" type=file size=50 name=inputFileUpload runat="server"> </TD>
        </TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:RadioButton id=inputRandomER runat="server" GroupName="inputType"></asp:RadioButton></TD>
          <TD vAlign=top>Generate a random Erds-Rnyi graph (N = <asp:TextBox id=erNumNodes Width="40" Runat="server" Text="300" Font-Size="8"></asp:TextBox>, 
            p = <asp:TextBox id=erProbability Width="40" Runat="server" Text=".08" Font-Size="8"></asp:TextBox>). 
            <A onclick="openWin('help/er.html','Help',330,382)" href=""><FONT 
            size=-2>(help)</FONT></A> </TD></TR>
        <TR>
          <TD><IMG height=1 src="images/spacer.gif" width=1></TD>
          <TD></TD>
          <TD></TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:RadioButton id=inputRandomScaleFree runat="server" GroupName="inputType"></asp:RadioButton></TD>
          <TD vAlign=top>Generate a random (Barabsi-Albert) scale-free graph 
            (N = <asp:TextBox id=sfNumNodes Width="40" Runat="server" Text="300" Font-Size="8"></asp:TextBox>, 
            m = <asp:TextBox id=sfM Width="40" Runat="server" Text="1" Font-Size="8"></asp:TextBox>). 
            <A onclick="openWin('help/ba.html','Help',310,382)" href=""><FONT 
            size=-2>(help)</FONT></A> </TD></TR>
        <TR>
          <TD><IMG height=1 src="images/spacer.gif" width=1></TD>
          <TD></TD>
          <TD></TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:RadioButton id=inputRandomScaleFreeRewiring runat="server" GroupName="inputType"></asp:RadioButton></TD>
          <TD vAlign=top>Generate a random, re-wiring, scale-free graph (t = <asp:TextBox id=sfrwT Width="40" Runat="server" Text="350" Font-Size="8"></asp:TextBox>, 
            m = <asp:TextBox id=sfrwM Width="40" Runat="server" Text="1" Font-Size="8"></asp:TextBox>, 
            p[newedges] = <asp:TextBox id=sfrwNewEdges Width="40" Runat="server" Text=".05" Font-Size="8"></asp:TextBox>, 
            p[rewire] = <asp:TextBox id=sfrwRewire Width="40" Runat="server" Text=".05" Font-Size="8"></asp:TextBox>). 
            <A onclick="openWin('help/barw.html','Help',250,382)" href=""><FONT 
            size=-2>(help)</FONT></A> </TD></TR>
        <TR>
          <TD><IMG height=1 src="images/spacer.gif" width=1></TD>
          <TD></TD>
          <TD></TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:RadioButton id=inputRandomHierarchical runat="server" GroupName="inputType"></asp:RadioButton></TD>
          <TD vAlign=top>Generate a hierarchical graph (Clique size = <asp:TextBox id=hierCS Width="40" Runat="server" Text="5" Font-Size="8"></asp:TextBox>, 
            n = <asp:TextBox id=hierN Width="40" Runat="server" Text="2" Font-Size="8"></asp:TextBox>). 
            <FONT size=-1><B>Warning: creates cs<SUP>n+1</SUP> nodes, choose low 
            n.</B></FONT> <A onclick="openWin('help/hier.html','Help',220,382)" 
            href=""><FONT size=-2>(help)</FONT></A> </TD></TR>
        <TR>
          <TD><IMG height=1 src="images/spacer.gif" width=1></TD>
          <TD></TD>
          <TD></TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:RadioButton id=inputRandomSmallWorld runat="server" GroupName="inputType"></asp:RadioButton></TD>
          <TD vAlign=top>Generate a random (Watts-Strogatz) small-world graph 
            (n = <asp:TextBox id=swN Width="40" Runat="server" Text="300" Font-Size="8"></asp:TextBox>, 
            k = <asp:TextBox id=swK Width="40" Runat="server" Text="4" Font-Size="8"></asp:TextBox>, 
            p = <asp:TextBox id=swP Width="40" Runat="server" Text="0.2" Font-Size="8"></asp:TextBox>). 
            <A onclick="openWin('help/ws.html','Help',240,382)" href=""><FONT 
            size=-2>(help)</FONT></A> </TD></TR>
        <TR>
          <TD>&nbsp;</TD>
          <TD>&nbsp;</TD>
          <TD>&nbsp;</TD></TR>
        <TR>
          <TD colSpan=3>
            <H5>Step 2: Choose graph manipulation</H5></TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:CheckBox id=doFR Runat="server" Checked="True"></asp:CheckBox></TD>
          <TD vAlign=top>Apply Fruchterman-Reingold algorithm <A 
            onclick="openWin('help/fr.html','Help',270,382)" href=""><FONT 
            size=-2>(help)</FONT></A></TD></TR>
        <TR>
          <TD>&nbsp;</TD>
          <TD>&nbsp;</TD>
          <TD>&nbsp;</TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:RadioButton id=chemassay runat="server" Checked="true" GroupName="graphType"></asp:RadioButton></TD>
          <TD vAlign=top>Process graph unchanged </TD></TR>
        <TR>
          <TD vAlign=top>&nbsp;</TD>
          <TD vAlign=top><asp:RadioButton id=chemchem runat="server" GroupName="graphType" Text=""></asp:RadioButton></TD>
          <TD vAlign=top>Parse graph for chemicals and produce a 
            Chemical-Chemical graph linking chemicals with <asp:DropDownList id=numSimilarities runat="server" Font-Size="8"></asp:DropDownList>assay 
            interactions in common. <BR>Use the following regular expression to 
            represent a chemical: <asp:TextBox id=chemRegex Runat="server" Font-Size="8">^[0-9][A-Z][0-9]+$</asp:TextBox><A 
            onclick="openWin('help/regex.html','Help',290,382)" href=""><FONT 
            size=-2>(help)</FONT></A> </TD></TR>
        <TR>
          <TD>&nbsp;</TD>
          <TD>&nbsp;</TD>
          <TD>&nbsp;</TD></TR>
        <TR>
          <TD colSpan=3>
            <H5>Step 3: Begin analysis</H5></TD></TR>
        <TR>
          <TD>&nbsp;</TD>
          <TD vAlign=top colSpan=2>
          <asp:Panel id=parseError runat="server" Width="100%" Visible="false"><asp:Label id=lblError Runat="server" Font-Size="12" Font-Bold="True" ForeColor="Red"></asp:Label><BR><BR></asp:Panel>
          <asp:Button id=submit onclick=submit_Click runat="server" text="Analyze Graph"></asp:Button>
          </TD>
        </TR>
      </TABLE>
    </TD>
  </TR>
</TABLE>
</asp:panel>
<asp:panel id="analysisDisplay" runat="server" Width="1120px">
<TABLE width="100%">
  <TR>
    <TD width=15>&nbsp; </TD>
    <TD>
      <TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
        <TR>
          <TD vAlign=top>
            <TABLE cellSpacing=0 cellPadding=0 width=1 border=0>
              <TR>
                <TD><FONT face=Ariel 
                  size=-2><B>Current&nbsp;Vertex:</B></FONT><BR><asp:ListBox id=verticesLB runat="server" OnSelectedIndexChanged="Vertex_Select" AutoPostBack="True" SelectionMode="Single"></asp:ListBox></TD>
                <TD width=10>&nbsp;&nbsp;&nbsp; </TD>
                <TD><FONT face=Ariel 
                  size=-2><B>Connected&nbsp;To:</B></FONT><BR><asp:ListBox id=edgesLB runat="server" OnSelectedIndexChanged="Vertex_Select" AutoPostBack="True" SelectionMode="Single"></asp:ListBox></TD></TR>
              <TR>
                <TD align=left colSpan=3><BR><asp:Panel id=pnlOps runat="server" Width="100%" BackColor="LightGray" BorderWidth="2" Height="30">
                  <TABLE cellSpacing=3 cellPadding=0 width="100%" border=0>
                    <TR>
                      <TD><asp:Label id=lblOps runat="server" Text="Graph Operations:" Font-Size="12" Font-Bold="true" Font-Name="Ariel"></asp:Label></TD></TR></TABLE>
                  <TABLE height="100%" cellSpacing=0 cellPadding=0 width="100%" 
                  border=0>
                    <TR>
                      <TD vAlign=middle align=center><asp:Button id=btnCollapsePanel onclick=Collapse_Panel Width="300" Runat="server" Text="Collapse vertices" Font-Bold="true" BorderWidth="1px" BorderStyle="Solid" BorderColor="#000000"></asp:Button></TD></TR>
                    <TR>
                      <TD vAlign=middle align=center><asp:Button id=btnTextOutput onclick=TextOutput_Panel Width="300" Runat="server" Text="Export Connected Component Data" Font-Bold="true" BorderWidth="1px" BorderStyle="Solid" BorderColor="#000000"></asp:Button></TD></TR></TABLE></asp:Panel></TD></TR>
              <TR>
                <TD vAlign=top colSpan=3><BR><asp:Panel id=pnlVertex runat="server" Width="100%" BackColor="LightGray" BorderWidth="2" Height="410">
                  <TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
                    <TR>
                      <TD>&nbsp;&nbsp;&nbsp; </TD>
                      <TD><BR><asp:Label id=vName runat="server" Font-Size="16" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR><asp:Label id=connInfo runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR><asp:Label id=vDegree runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR><asp:Panel id=pnlShowComponent runat="server"><B>Connected 
                        component insufficiently large to calculate data.</B> 
                        </asp:Panel><asp:Panel id=pnlVertexComponentInfo runat="server"><asp:Label id=vCC runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vDist Runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR><asp:Label id=vAdjE0 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vAdjE1 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vAdjE2 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vAdjE3 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR><asp:Label id=vLapE0 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vLapE1 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vLapE2 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vLapE3 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR><asp:Label id=vNormLapE0 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vNormLapE1 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vNormLapE2 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><asp:Label id=vNormLapE3 runat="server" Font-Size="9" Font-Bold="true" Font-Name="Ariel"></asp:Label></asp:Panel></TD></TR></TABLE></asp:Panel></TD></TR></TABLE></TD>
          <TD>&nbsp;&nbsp;&nbsp; </TD><!-- big picture -->
          <TD vAlign=top width="100%"><BR><asp:Panel id=normalPanel Runat="server"><asp:ImageButton id=graphDisplay onclick=Image_Clicked runat="server" Width="700" BorderWidth="0" Height="700"></asp:ImageButton></asp:Panel><asp:Panel id=laplacianPanel Runat="server"><asp:ImageButton id=laplacianDisplay onclick=Image_Clicked runat="server" Width="700" BorderWidth="0" Height="700"></asp:ImageButton></asp:Panel><asp:LinkButton id=gNormal onclick=gDisplay_Change Runat="server">Show normal graph display</asp:LinkButton><asp:LinkButton id=gLaplacian onclick=gDisplay_Change Runat="server">Show graph drawn using Laplacian Local Linear Embedding</asp:LinkButton>&nbsp;</TD></TR><!-- end big picture -->
        <TR>
          <TD colSpan=3><asp:Panel id=pnlComponent runat="server" Width="86.52%" BackColor="White" BorderWidth="0" Height="294"><BR><BR><asp:Label id=componentName runat="server" Text="Connected Component Information" Font-Size="18" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR>
            <TABLE cellSpacing=0 cellPadding=0 width=1096 border=0>
              <TR>
                <TD width=500><asp:ImageButton id=graphDegreeDistribution runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Degree k vs. Degree Distribution 
                P(k)</B></CENTER></TD>
                <TD width=96>&nbsp;&nbsp;&nbsp; </TD>
                <TD width=500><asp:ImageButton id=graphClusterCoefficient onclick=ClusterCoefficient_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Degree k vs. Cluster Coefficient 
                C(k)</B></CENTER></TD></TR>
              <TR>
                <TD width=500>&nbsp; </TD>
                <TD width=96>&nbsp; </TD>
                <TD width=500>&nbsp; </TD></TR>
              <TR>
                <TD width=500><asp:ImageButton id=graphPathLength onclick=PathLength_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Degree k vs. Average Path Length</B></CENTER></TD>
                <TD width=96>&nbsp;&nbsp;&nbsp; </TD>
                <TD width=500>&nbsp; </TD></TR></TABLE><BR><BR><BR><asp:Label id=lblEigenInfo runat="server" Text="Connected Component Eigenvalues/Eigenvectors" Font-Size="18" Font-Bold="true" Font-Name="Ariel"></asp:Label><BR><BR>
            <TABLE cellSpacing=0 cellPadding=0 width=1096 border=0>
              <TR>
                <TD vAlign=top width=500><asp:ImageButton id=adjacencyEigenvalues runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Adjacency Eigenvalues</B></CENTER><BR><BR><asp:ImageButton id=adjIVP runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><asp:Label id=lblAdjIVP Runat="server" Font-Bold="True"></asp:Label></CENTER><BR><BR><asp:ImageButton id=adjSpec runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Adjacency Spectral Density</B></CENTER></TD>
                <TD width=96>&nbsp;&nbsp;&nbsp; </TD>
                <TD width=500><asp:ImageButton id=adjacencyEigenvectorZero onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=adjE0Vec Runat="server" Checked="True" GroupName="adjE0" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=adjE0Degree Runat="server" GroupName="adjE0" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Adjacency Eigenvector Zero</B></CENTER><BR><BR><asp:ImageButton id=adjacencyEigenvectorOne onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=adjE1Vec Runat="server" Checked="True" GroupName="adjE1" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=adjE1Degree Runat="server" GroupName="adjE1" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Adjacency Eigenvector One</B></CENTER><BR><BR><asp:ImageButton id=adjacencyEigenvectorTwo onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=adjE2Vec Runat="server" Checked="True" GroupName="adjE2" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=adjE2Degree Runat="server" GroupName="adjE2" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Adjacency Eigenvector Two</B></CENTER><BR><BR><asp:ImageButton id=adjacencyEigenvectorThree onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=adjE3Vec Runat="server" Checked="True" GroupName="adjE3" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=adjE3Degree Runat="server" GroupName="adjE3" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Adjacency Eigenvector 
              Three</B></CENTER></TD></TR></TABLE><BR><BR>
            <TABLE cellSpacing=0 cellPadding=0 width=1096 border=0>
              <TR>
                <TD vAlign=top width=500><asp:ImageButton id=laplacianEigenvalues runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Laplacian Eigenvalues</B></CENTER><BR><BR><asp:ImageButton id=lapIVP runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><asp:Label id=lblLapIVP Runat="server" Font-Bold="True"></asp:Label></CENTER><BR><BR><asp:ImageButton id=lapSpec runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Laplacian Spectral Density</B></CENTER></TD>
                <TD width=96>&nbsp;&nbsp;&nbsp; </TD>
                <TD width=500><asp:ImageButton id=laplacianEigenvectorZero onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=lapE0Vec Runat="server" Checked="True" GroupName="lapE0" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=lapE0Degree Runat="server" GroupName="lapE0" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Laplacian Eigenvector Zero</B></CENTER><BR><BR><asp:ImageButton id=laplacianEigenvectorOne onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=lapE1Vec Runat="server" Checked="True" GroupName="lapE1" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=lapE1Degree Runat="server" GroupName="lapE1" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Laplacian Eigenvector One</B></CENTER><BR><BR><asp:ImageButton id=laplacianEigenvectorTwo onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=lapE2Vec Runat="server" Checked="True" GroupName="lapE2" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=lapE2Degree Runat="server" GroupName="lapE2" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Laplacian Eigenvector Two</B></CENTER><BR><BR><asp:ImageButton id=laplacianEigenvectorThree onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=lapE3Vec Runat="server" Checked="True" GroupName="lapE3" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=lapE3Degree Runat="server" GroupName="lapE3" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Laplacian Eigenvector 
              Three</B></CENTER></TD></TR></TABLE><BR><BR>
            <TABLE cellSpacing=0 cellPadding=0 width=1096 border=0>
              <TR>
                <TD vAlign=top width=500><asp:ImageButton id=normLaplacianEigenvalues runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Normalized Laplacian 
                  Eigenvalues</B></CENTER><BR><BR><asp:ImageButton id=normLapIVP runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><asp:Label id=lblNormLapIVP Runat="server" Font-Bold="True"></asp:Label></CENTER><BR><BR><asp:ImageButton id=normLapSpec runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton>
                  <CENTER><B>Normalized Laplacian Spectral 
                Density</B></CENTER></TD>
                <TD width=96>&nbsp;&nbsp;&nbsp; </TD>
                <TD width=500><asp:ImageButton id=normLaplacianEigenvectorZero onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=normLapE0Vec Runat="server" Checked="True" GroupName="normLapE0" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=normLapE0Degree Runat="server" GroupName="normLapE0" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Normalized Laplacian Eigenvector 
                  Zero</B></CENTER><BR><BR><asp:ImageButton id=normLaplacianEigenvectorOne onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=normLapE1Vec Runat="server" Checked="True" GroupName="normLapE1" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=normLapE1Degree Runat="server" GroupName="normLapE1" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Normalized Laplacian Eigenvector 
                  One</B></CENTER><BR><BR><asp:ImageButton id=normLaplacianEigenvectorTwo onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=normLapE2Vec Runat="server" Checked="True" GroupName="normLapE2" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=normLapE2Degree Runat="server" GroupName="normLapE2" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Normalized Laplacian Eigenvector 
                  Two</B></CENTER><BR><BR><asp:ImageButton id=normLaplacianEigenvectorThree onclick=eigenGraph_Clicked runat="server" Width="500" BorderWidth="0" Height="300"></asp:ImageButton><BR><B><FONT 
                  size=-1>Sort by:</FONT></B> <asp:RadioButton id=normLapE3Vec Runat="server" Checked="True" GroupName="normLapE3" Text="Eigenvector" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton><asp:RadioButton id=normLapE3Degree Runat="server" GroupName="normLapE3" Text="Node Degree" Font-Bold="True" AutoPostBack="True" OnCheckedChanged="Sort_Changed"></asp:RadioButton>
                  <CENTER><B>Normalized Laplacian Eigenvector 
                Three</B></CENTER></TD></TR></TABLE><BR><BR><asp:Panel id=pnlEigenvalues runat="server" Width="1080" BackColor="LightGray" BorderWidth="2" Height="1">
            <TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
              <TR>
                <TD vAlign=top align=left width="33%"><asp:Label id=lblAdjEigensHeader runat="server" Font-Size="16" Font-Bold="true" Font-Name="Ariel">Adjacency Eigenvalues</asp:Label><BR><BR><asp:Label id=lblAdjEigens runat="server" Font-Size="12" Font-Bold="true" Font-Name="Ariel"></asp:Label></TD>
                <TD vAlign=top align=left width="33%"><asp:Label id=lblLapEigensHeader runat="server" Font-Size="16" Font-Bold="true" Font-Name="Ariel">Laplacian Eigenvalues</asp:Label><BR><BR><asp:Label id=lblLapEigens runat="server" Font-Size="12" Font-Bold="true" Font-Name="Ariel"></asp:Label></TD>
                <TD vAlign=top align=left width="33%"><asp:Label id=lblNormLapEigensHeader runat="server" Font-Size="16" Font-Bold="true" Font-Name="Ariel">Normalized Laplacian Eigenvalues</asp:Label><BR><BR><asp:Label id=lblNormLapEigens runat="server" Font-Size="12" Font-Bold="true" Font-Name="Ariel"></asp:Label></TD></TR></TABLE></asp:Panel></asp:Panel><!-- pnlComponent --></TD></TR></TABLE></TD></TR></TABLE>
</asp:panel> <!-- AnalysisDisplay -->
<asp:Panel ID="pnlCollapse" Runat="server" Width="100%">
<TABLE cellSpacing=0 cellPadding=0 width="100%">
  <TR>
    <TD width=15>&nbsp;</TD>
    <TD><BR>
      <H3>Choose nodes to collapse:</H3><asp:ListBox id=collapseLB Runat="server" SelectionMode="Multiple" Rows="12"></asp:ListBox><BR><BR><B>New 
      node's label:</B> <asp:TextBox id=newNodeName Width="300" Runat="server"></asp:TextBox><BR><BR><asp:Button id=btnCollapse onclick=Collapse_Vertices Width="150" Runat="server" Text="Collapse vertices" Font-Bold="true" BorderWidth="1px" BorderStyle="Solid" BorderColor="#000000"></asp:Button>&nbsp;&nbsp;&nbsp;<asp:Button id=btnCancelCollapse onclick=Cancel_Collapse Width="150" Runat="server" Text="Cancel" Font-Bold="true" BorderWidth="1px" BorderStyle="Solid" BorderColor="#000000"></asp:Button> 
    </TD></TR></TABLE>
</asp:Panel>
<asp:Panel ID="pnlTextOutput" Runat="server" Width="100%">
<TABLE cellSpacing=0 cellPadding=0 width="100%">
  <TR>
    <TD width=15>&nbsp;</TD>
    <TD><BR>
      <H3>Data to export to comma-delimited text file:</H3>
      <asp:CheckBox id=outNode Runat="server" Checked="False" Text="Node information" AutoPostBack="True" OnCheckedChanged="Unclick_outNode"></asp:CheckBox>
      <TABLE cellSpacing=0 cellPadding=0 width="100%">
        <TR>
          <TD width=15>&nbsp; </TD>
          <TD>
			<asp:CheckBox id=outNodeLabel Runat="server" Checked="True" Enabled="False"></asp:CheckBox><asp:Label id=lblLabel Runat="server">Label</asp:Label>
			<BR><asp:CheckBox id=outNodeID Runat="server" Checked="True" Enabled="False"></asp:CheckBox><asp:Label id=lblIDNumber Runat="server">ID Number</asp:Label>
			<BR><asp:CheckBox id=outNodeDegree Runat="server" Checked="False" Text="Degree"></asp:CheckBox>
			<BR><asp:CheckBox id=outNodeCK Runat="server" Checked="False" Text="Clustering Coefficient"></asp:CheckBox>
			<BR><asp:CheckBox id=outNodeAvgDist Runat="server" Checked="False" Text="Distance -- Average"></asp:CheckBox>
			<BR><asp:CheckBox id=outNodeMaxDist Runat="server" Checked="False" Text="Distance -- Maximum"></asp:CheckBox>
			<BR><asp:CheckBox id=outNodeAdjEig Runat="server" Checked="False" Text="Primary adjacency eigenvector components"></asp:CheckBox>
			<BR><asp:CheckBox id=outNodeLapEig Runat="server" Checked="False" Text="Primary laplacian eigenvector components"></asp:CheckBox>
			<BR><asp:CheckBox id=outNodeNormLapEig Runat="server" Checked="False" Text="Primary normalized laplacian eigenvector components"></asp:CheckBox>
			<BR><asp:CheckBox id="outNodeLLE" Runat="server" Checked="False" Text="Log-scaled Laplacian LLE coordinates"></asp:CheckBox>
		  </TD>
		</TR>
	  </TABLE>
	  <BR><asp:CheckBox id=outAdjEigenvalueInfo Runat="server" Checked="False" Text="Adjacency Eigenvalue Information" AutoPostBack="True" OnCheckedChanged="Unclick_outAdjEigenvalueInfo"></asp:CheckBox>
      <TABLE cellSpacing=0 cellPadding=0 width="100%">
        <TR>
          <TD width=15>&nbsp; </TD>
          <TD><asp:CheckBox id=outAdjEigenvalue Runat="server" Checked="True" Text="Eigenvalue" Enabled="False"></asp:CheckBox><BR><asp:CheckBox id=outAdjIVP Runat="server" Checked="False" Text="Inverse Participation Ratio"></asp:CheckBox><BR><asp:CheckBox id=outAdjSpec Runat="server" Checked="False"></asp:CheckBox><BR><asp:CheckBox id=outAdjEigenvector Runat="server" Checked="False" Text="Eigenvector"></asp:CheckBox></TD></TR></TABLE><BR><asp:CheckBox id=outLapEigenvalueInfo Runat="server" Checked="False" Text="Laplacian Eigenvalue Information" AutoPostBack="True" OnCheckedChanged="Unclick_outLapEigenvalueInfo"></asp:CheckBox>
      <TABLE cellSpacing=0 cellPadding=0 width="100%">
        <TR>
          <TD width=15>&nbsp; </TD>
          <TD><asp:CheckBox id=outLapEigenvalue Runat="server" Checked="True" Text="Eigenvalue" Enabled="False"></asp:CheckBox><BR><asp:CheckBox id=outLapIVP Runat="server" Checked="False" Text="Inverse Participation Ratio"></asp:CheckBox><BR><asp:CheckBox id=outLapSpec Runat="server" Checked="False"></asp:CheckBox><BR><asp:CheckBox id=outLapEigenvector Runat="server" Checked="False" Text="Eigenvector"></asp:CheckBox></TD></TR></TABLE><BR><asp:CheckBox id=outNormLapEigenvalueInfo Runat="server" Checked="False" Text="Normalized Laplacian Eigenvalue Information" AutoPostBack="True" OnCheckedChanged="Unclick_outNormLapEigenvalueInfo"></asp:CheckBox>
      <TABLE cellSpacing=0 cellPadding=0 width="100%">
        <TR>
          <TD width=15>&nbsp; </TD>
          <TD><asp:CheckBox id=outNormLapEigenvalue Runat="server" Checked="True" Text="Eigenvalue" Enabled="False"></asp:CheckBox><BR><asp:CheckBox id=outNormLapIVP Runat="server" Checked="False" Text="Inverse Participation Ratio"></asp:CheckBox><BR><asp:CheckBox id=outNormLapSpec Runat="server" Checked="False"></asp:CheckBox><BR><asp:CheckBox id=outNormLapEigenvector Runat="server" Checked="False" Text="Eigenvector"></asp:CheckBox></TD></TR></TABLE><BR><asp:CheckBox id=outAdjMat Runat="server" Checked="False" Text="Adjacency Matrix"></asp:CheckBox><BR><asp:CheckBox id=outLapMat Runat="server" Checked="False" Text="Laplacian Matrix"></asp:CheckBox><BR><asp:CheckBox id=outNormLapMat Runat="server" Checked="False" Text="Normalized Laplacian Matrix"></asp:CheckBox><BR><BR><asp:Button id=btnExport onclick=Click_Export Width="150" Runat="server" Text="Create file(s)" Font-Bold="true" BorderWidth="1px" BorderStyle="Solid" BorderColor="#000000"></asp:Button>&nbsp;&nbsp;&nbsp;<asp:Button id=btnCancelTextOutput onclick=Cancel_TextOutput Width="150" Runat="server" Text="Cancel" Font-Bold="true" BorderWidth="1px" BorderStyle="Solid" BorderColor="#000000"></asp:Button> 
    </TD></TR></TABLE>
</asp:Panel>
<asp:Panel ID="pnlExportLinks" Runat="server" Width="100%">
<TABLE cellSpacing=0 cellPadding=0 width="100%">
  <TR>
    <TD width=15>&nbsp;</TD>
    <TD><BR>
      <H3>Exported Files (right-click to choose "Save As...")</H3><asp:HyperLink id=linkNodeInfo Runat="server">Node Information<br><br></asp:HyperLink><asp:HyperLink id=linkAdjEigenvalueInfo Runat="server">Adjacency Eigenvalue Information<br><br></asp:HyperLink><asp:HyperLink id=linkLapEigenvalueInfo Runat="server">Laplacian Eigenvalue Information<br><br></asp:HyperLink><asp:HyperLink id=linkNormLapEigenvalueInfo Runat="server">Normalized Laplacian Eigenvalue Information<br><br></asp:HyperLink><asp:HyperLink id=linkAdjMat Runat="server">Adjacency Matrix<br><br></asp:HyperLink><asp:HyperLink id=linkLapMat Runat="server">Laplacian Matrix<br><br></asp:HyperLink><asp:HyperLink id=linkNormLapMat Runat="server">Normalized Laplacian Matrix<br><br></asp:HyperLink><BR><asp:Button id=btnDoneExport onclick=Click_DoneExport Width="150" Runat="server" Text="Done exporting" Font-Bold="true" BorderWidth="1px" BorderStyle="Solid" BorderColor="#000000"></asp:Button></TD></TR></TABLE>
</asp:Panel>

	<TABLE cellSpacing=0 cellPadding=0 width="100%">
	<TR>
		<TD width=15>&nbsp;</TD>
		<td>
			<!-- content ends --><br>
			<div class="footermenu"><a href="http://chembank.med.harvard.edu/">HOME</a> | <a href="http://chembank.med.harvard.edu/about.shtml">
					ABOUT</a> | <a href="http://chembank.med.harvard.edu/contact.shtml">CONTACT</a>
				| <a href="http://chembank.med.harvard.edu/search.shtml">SEARCH</a></div>
			<br>
			<br>
		</td>
	</TR>
	</TABLE>
		</form>
	</BODY>
</HTML>
